<?php 

	$mobile_repair_shop_custom_css = '';

	// Site Title Color
	$mobile_repair_shop_site_title_color = get_theme_mod('mobile_repair_shop_site_title_color');
	$mobile_repair_shop_custom_css .= '.logo h1 a, .logo p.site-title a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_site_title_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	// Site Tagline Color
	$mobile_repair_shop_site_tagline_color = get_theme_mod('mobile_repair_shop_site_tagline_color');
	$mobile_repair_shop_custom_css .= '.logo p.site-description {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_site_tagline_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_logo_size = get_theme_mod('mobile_repair_shop_logo_size'); // This value should be a percentage (e.g., 50 for 50%)
	if ($mobile_repair_shop_logo_size) {
		$logo_width_px = (350 * $mobile_repair_shop_logo_size) / 100; // Calculate the pixel width based on the percentage
		$mobile_repair_shop_custom_css .= '.site-logo img {';
		$mobile_repair_shop_custom_css .= 'width: '.esc_attr($logo_width_px).'px !important;';
		$mobile_repair_shop_custom_css .= '}';
	}

	/*----------------Width Layout -------------------*/
    $mobile_repair_shop_theme_lay = get_theme_mod( 'mobile_repair_shop_width_options','Full Width');
    if($mobile_repair_shop_theme_lay == 'Full Width'){
		$mobile_repair_shop_custom_css .='body{';
			$mobile_repair_shop_custom_css .='max-width: 100%;';
		$mobile_repair_shop_custom_css .='}';
	}else if($mobile_repair_shop_theme_lay == 'Contained Width'){
		$mobile_repair_shop_custom_css .='body{';
			$mobile_repair_shop_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$mobile_repair_shop_custom_css .='}';
	}else if($mobile_repair_shop_theme_lay == 'Boxed Width'){
		$mobile_repair_shop_custom_css .='body{';
			$mobile_repair_shop_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$mobile_repair_shop_custom_css .='}';
	}

	//Submenu Dropdown Effect
	$mobile_repair_shop_dropdown_anim = get_theme_mod('mobile_repair_shop_dropdown_anim');
	$mobile_repair_shop_custom_css .='.primary-navigation ul ul{';
		$mobile_repair_shop_custom_css .='animation: '.esc_attr($mobile_repair_shop_dropdown_anim).' 1s ease;';
	$mobile_repair_shop_custom_css .='}';

	// Slider
	$mobile_repair_shop_slider_hide_show = get_theme_mod('mobile_repair_shop_slider_hide_show',false);
	if($mobile_repair_shop_slider_hide_show == true){
		$mobile_repair_shop_custom_css .= '.page-template-home-custom .inner-head {';
			$mobile_repair_shop_custom_css .= 'display: none;';
		$mobile_repair_shop_custom_css .= '}';
	}

	// Menus Color
	$mobile_repair_shop_menu_color = get_theme_mod('mobile_repair_shop_menu_color');
	$mobile_repair_shop_custom_css .= '.primary-navigation ul li a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_menu_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_menu_hover_color = get_theme_mod('mobile_repair_shop_menu_hover_color');
	$mobile_repair_shop_custom_css .= '.primary-navigation ul li a:hover {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_menu_hover_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_submenu_color = get_theme_mod('mobile_repair_shop_submenu_color');
	$mobile_repair_shop_custom_css .= '.primary-navigation ul.sub-menu li a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_submenu_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_submenu_hover_color = get_theme_mod('mobile_repair_shop_submenu_hover_color');
	$mobile_repair_shop_custom_css .= '.primary-navigation ul.sub-menu li a:hover {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_submenu_hover_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	//Topbar color
	$mobile_repair_shop_topbar_text_color = get_theme_mod('mobile_repair_shop_topbar_text_color');
	$mobile_repair_shop_custom_css .= '.top-header p, .top-header a{';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_topbar_text_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_social_icons_color = get_theme_mod('mobile_repair_shop_social_icons_color');
	$mobile_repair_shop_custom_css .= '.top-header p i {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_social_icons_color) . ';';
	$mobile_repair_shop_custom_css .= '}';
	
	$mobile_repair_shop_timing_color = get_theme_mod('mobile_repair_shop_timing_color');
	$mobile_repair_shop_custom_css .= '.contact-detail p {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_timing_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	// Slider Color
	$mobile_repair_shop_slider_title_font_size = get_theme_mod('mobile_repair_shop_slider_title_font_size');
	$mobile_repair_shop_custom_css .= '#slider .inner_carousel h1 {';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_slider_title_font_size) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_slider_text_font_size = get_theme_mod('mobile_repair_shop_slider_text_font_size');
	$mobile_repair_shop_custom_css .= '#slider .inner_carousel p {';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_slider_text_font_size) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_slider_btn_font_size = get_theme_mod('mobile_repair_shop_slider_btn_font_size');
	$mobile_repair_shop_custom_css .= '#slider .read-btn a {';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_slider_btn_font_size) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_slider_title_color = get_theme_mod('mobile_repair_shop_slider_title_color');
	$mobile_repair_shop_custom_css .= '#slider .inner_carousel h1 {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_slider_title_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_slider_text_color = get_theme_mod('mobile_repair_shop_slider_text_color');
	$mobile_repair_shop_custom_css .= '#slider .inner_carousel p {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_slider_text_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_slider_btn_text_color = get_theme_mod('mobile_repair_shop_slider_btn_text_color');
	$mobile_repair_shop_slider_btn_border_color = get_theme_mod('mobile_repair_shop_slider_btn_border_color');
	$mobile_repair_shop_custom_css .= '#slider .read-btn a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_slider_btn_text_color) . '; border-color: ' . esc_attr($mobile_repair_shop_slider_btn_border_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_slider_btn_text_hover_color = get_theme_mod('mobile_repair_shop_slider_btn_text_hover_color');
	$mobile_repair_shop_slider_btnbg_hover_color = get_theme_mod('mobile_repair_shop_slider_btnbg_hover_color');
	$mobile_repair_shop_slider_btn_border_hover_color = get_theme_mod('mobile_repair_shop_slider_btn_border_hover_color');
	$mobile_repair_shop_custom_css .= '#slider .read-btn a:hover {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_slider_btn_text_hover_color) . '; border-color: ' . esc_attr($mobile_repair_shop_slider_btn_border_hover_color) . '; background-color: ' . esc_attr($mobile_repair_shop_slider_btnbg_hover_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_slider_npbtn_color = get_theme_mod('mobile_repair_shop_slider_npbtn_color');
	$mobile_repair_shop_slider_npbtnbg_color = get_theme_mod('mobile_repair_shop_slider_npbtnbg_color');
	$mobile_repair_shop_custom_css .= '#slider .carousel-control-next-icon i, #slider .carousel-control-prev-icon i {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_slider_npbtn_color) . '; background-color: ' . esc_attr($mobile_repair_shop_slider_npbtnbg_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	// Product color options
	$mobile_repair_shop_product_title_font_size = get_theme_mod('mobile_repair_shop_product_title_font_size');
	$mobile_repair_shop_custom_css .= ' .woocommerce ul.products li.product .woocommerce-loop-product__title {';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_product_title_font_size) . 'px !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_product_title_color = get_theme_mod('mobile_repair_shop_product_title_color');
	$mobile_repair_shop_custom_css .= '.woocommerce ul.products li.product .woocommerce-loop-product__title {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_product_title_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_product_price_color = get_theme_mod('mobile_repair_shop_product_price_color');
	$mobile_repair_shop_custom_css .= '.woocommerce ul.products li.product .price {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_product_price_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_product_btn_color = get_theme_mod('mobile_repair_shop_product_btn_color');
	$mobile_repair_shop_product_btn_bg_color = get_theme_mod('mobile_repair_shop_product_btn_bg_color');
	$mobile_repair_shop_custom_css .= '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, a.added_to_cart.wc-forward {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_product_btn_color) . '; background-color: ' . esc_attr($mobile_repair_shop_product_btn_bg_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_product_btn_hover_color = get_theme_mod('mobile_repair_shop_product_btn_hover_color');
	$mobile_repair_shop_product_sale_color = get_theme_mod('mobile_repair_shop_product_sale_color');
	$mobile_repair_shop_custom_css .= '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, a.added_to_cart.wc-forward:hover {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_product_sale_color) . '; background-color: ' . esc_attr($mobile_repair_shop_product_btn_hover_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_product_sale_bg_color = get_theme_mod('mobile_repair_shop_product_sale_bg_color');
	$mobile_repair_shop_product_sale_color = get_theme_mod('mobile_repair_shop_product_sale_color');
	$mobile_repair_shop_custom_css .= '.woocommerce span.onsale {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_product_sale_color) . '; background-color: ' . esc_attr($mobile_repair_shop_product_sale_bg_color) . ';';
	$mobile_repair_shop_custom_css .= '}';

	// Service color options
	$mobile_repair_shop_service_title_font_size = get_theme_mod('mobile_repair_shop_service_title_font_size');
	$mobile_repair_shop_custom_css .= '#service-section .service-box h3 a {';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_service_title_font_size) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_service_text_font_size = get_theme_mod('mobile_repair_shop_service_text_font_size');
	$mobile_repair_shop_custom_css .= '#service-section .service-content p {';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_service_text_font_size) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_service_btn_text_font_size = get_theme_mod('mobile_repair_shop_service_btn_text_font_size');
	$mobile_repair_shop_custom_css .= '#service-section .service-content a{';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_service_btn_text_font_size) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_servicetitle_color = get_theme_mod('mobile_repair_shop_servicetitle_color');
	$mobile_repair_shop_custom_css .= ' #service-section .service-box h3 a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_servicetitle_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_servicetitlebg_color = get_theme_mod('mobile_repair_shop_servicetitlebg_color');
	$mobile_repair_shop_custom_css .= ' #service-section .service-box h3 {';
		$mobile_repair_shop_custom_css .= 'background: ' . esc_attr($mobile_repair_shop_servicetitlebg_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_servicetext_color = get_theme_mod('mobile_repair_shop_servicetext_color');
	$mobile_repair_shop_custom_css .= ' #service-section .service-content p {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_servicetext_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_servicebtn_color = get_theme_mod('mobile_repair_shop_servicebtn_color');
	$mobile_repair_shop_servicebtnbg_color = get_theme_mod('mobile_repair_shop_servicebtnbg_color');
	$mobile_repair_shop_custom_css .= ' #service-section .service-content a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_servicebtn_color) . ' !important; background-color: ' . esc_attr($mobile_repair_shop_servicebtnbg_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_serviceboxbg_color = get_theme_mod('mobile_repair_shop_serviceboxbg_color');
	$mobile_repair_shop_custom_css .= ' #service-section .service-content {';
		$mobile_repair_shop_custom_css .= 'background-color: ' . esc_attr($mobile_repair_shop_serviceboxbg_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_serviceboxrc_color1 = get_theme_mod('mobile_repair_shop_serviceboxrc_color1');
	$mobile_repair_shop_custom_css .= ' #service-section .service-content:after {';
		$mobile_repair_shop_custom_css .= 'border-bottom-color: ' . esc_attr($mobile_repair_shop_serviceboxrc_color1) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_serviceboxrc_color2 = get_theme_mod('mobile_repair_shop_serviceboxrc_color2');
	$mobile_repair_shop_custom_css .= ' #service-section .service-content:before {';
		$mobile_repair_shop_custom_css .= 'border-top-color: ' . esc_attr($mobile_repair_shop_serviceboxrc_color2) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';
	
	//copyright css
	$mobile_repair_shop_footer_copy_text_font_size = get_theme_mod('mobile_repair_shop_footer_copy_text_font_size');
	$mobile_repair_shop_custom_css .= '.copyright p a {';
		$mobile_repair_shop_custom_css .= 'font-size: ' . esc_attr($mobile_repair_shop_footer_copy_text_font_size) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_footer_copy_padding = get_theme_mod('mobile_repair_shop_footer_copy_padding');
	$mobile_repair_shop_custom_css .= '.copyright {';
		$mobile_repair_shop_custom_css .= 'padding-top: ' . esc_attr($mobile_repair_shop_footer_copy_padding) . 'px; padding-bottom: ' . esc_attr($mobile_repair_shop_footer_copy_padding) . 'px;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_copyright_color = get_theme_mod('mobile_repair_shop_copyright_color');
	$mobile_repair_shop_custom_css .= ' .copyright p a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_copyright_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_copyrightbg_color = get_theme_mod('mobile_repair_shop_copyrightbg_color');
	$mobile_repair_shop_custom_css .= ' .copyright {';
		$mobile_repair_shop_custom_css .= 'background-color: ' . esc_attr($mobile_repair_shop_copyrightbg_color) . '80 !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_footer_title_color = get_theme_mod('mobile_repair_shop_footer_title_color');
	$mobile_repair_shop_custom_css .= ' #footer-section h3.widget-title {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_footer_title_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';

	$mobile_repair_shop_footer_menu_color = get_theme_mod('mobile_repair_shop_footer_menu_color');
	$mobile_repair_shop_custom_css .= ' #footer-section a {';
		$mobile_repair_shop_custom_css .= 'color: ' . esc_attr($mobile_repair_shop_footer_menu_color) . ' !important;';
	$mobile_repair_shop_custom_css .= '}';